<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.8) on Wed Aug 12 16:32:57 CEST 2020 -->
<title>Uses of Class nl.naturalis.nba.api.model.SourceSystem</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-08-12">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class nl.naturalis.nba.api.model.SourceSystem";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../SourceSystem.html" title="class in nl.naturalis.nba.api.model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class nl.naturalis.nba.api.model.SourceSystem" class="title">Uses of Class<br>nl.naturalis.nba.api.model.SourceSystem</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../SourceSystem.html" title="class in nl.naturalis.nba.api.model">SourceSystem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#nl.naturalis.nba.api">nl.naturalis.nba.api</a></th>
<td class="colLast">
<div class="block">Interfaces and classes that define how to interact with the NBA (<b>start here</b>).</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#nl.naturalis.nba.api.model">nl.naturalis.nba.api.model</a></th>
<td class="colLast">
<div class="block">Classes defining the NBA data model.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="nl.naturalis.nba.api">
<!--   -->
</a>
<h3>Uses of <a href="../SourceSystem.html" title="class in nl.naturalis.nba.api.model">SourceSystem</a> in <a href="../../package-summary.html">nl.naturalis.nba.api</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../../package-summary.html">nl.naturalis.nba.api</a> that return <a href="../SourceSystem.html" title="class in nl.naturalis.nba.api.model">SourceSystem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../SourceSystem.html" title="class in nl.naturalis.nba.api.model">SourceSystem</a>[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">INbaMetaData.</span><code><span class="memberNameLink"><a href="../../INbaMetaData.html#getSourceSystems()">getSourceSystems</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns all source systems feeding into the NBA.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="nl.naturalis.nba.api.model">
<!--   -->
</a>
<h3>Uses of <a href="../SourceSystem.html" title="class in nl.naturalis.nba.api.model">SourceSystem</a> in <a href="../package-summary.html">nl.naturalis.nba.api.model</a></h3>
<table class="useSummary">
<caption><span>Fields in <a href="../package-summary.html">nl.naturalis.nba.api.model</a> declared as <a href="../SourceSystem.html" title="class in nl.naturalis.nba.api.model">SourceSystem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../SourceSystem.html" title="class in nl.naturalis.nba.api.model">SourceSystem</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">SourceSystem.</span><code><span class="memberNameLink"><a href="../SourceSystem.html#BRAHMS">BRAHMS</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../SourceSystem.html" title="class in nl.naturalis.nba.api.model">SourceSystem</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">SourceSystem.</span><code><span class="memberNameLink"><a href="../SourceSystem.html#COL">COL</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../SourceSystem.html" title="class in nl.naturalis.nba.api.model">SourceSystem</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">SourceSystem.</span><code><span class="memberNameLink"><a href="../SourceSystem.html#CRS">CRS</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../SourceSystem.html" title="class in nl.naturalis.nba.api.model">SourceSystem</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">SourceSystem.</span><code><span class="memberNameLink"><a href="../SourceSystem.html#GEO">GEO</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../SourceSystem.html" title="class in nl.naturalis.nba.api.model">SourceSystem</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">SourceSystem.</span><code><span class="memberNameLink"><a href="../SourceSystem.html#NSR">NSR</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../SourceSystem.html" title="class in nl.naturalis.nba.api.model">SourceSystem</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">SourceSystem.</span><code><span class="memberNameLink"><a href="../SourceSystem.html#OBS">OBS</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../SourceSystem.html" title="class in nl.naturalis.nba.api.model">SourceSystem</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">SourceSystem.</span><code><span class="memberNameLink"><a href="../SourceSystem.html#XC">XC</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">nl.naturalis.nba.api.model</a> that return <a href="../SourceSystem.html" title="class in nl.naturalis.nba.api.model">SourceSystem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../SourceSystem.html" title="class in nl.naturalis.nba.api.model">SourceSystem</a>[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">SourceSystem.</span><code><span class="memberNameLink"><a href="../SourceSystem.html#getAllSourceSystems()">getAllSourceSystems</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../SourceSystem.html" title="class in nl.naturalis.nba.api.model">SourceSystem</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">SourceSystem.</span><code><span class="memberNameLink"><a href="../SourceSystem.html#getInstance(java.lang.String,java.lang.String)">getInstance</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;code,
           <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;name)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../SourceSystem.html" title="class in nl.naturalis.nba.api.model">SourceSystem</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">NbaTraceableObject.</span><code><span class="memberNameLink"><a href="../NbaTraceableObject.html#getSourceSystem()">getSourceSystem</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the source system that contained the record corresponding to this
 instance.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">nl.naturalis.nba.api.model</a> with parameters of type <a href="../SourceSystem.html" title="class in nl.naturalis.nba.api.model">SourceSystem</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">NbaTraceableObject.</span><code><span class="memberNameLink"><a href="../NbaTraceableObject.html#setSourceSystem(nl.naturalis.nba.api.model.SourceSystem)">setSourceSystem</a></span>&#8203;(<a href="../SourceSystem.html" title="class in nl.naturalis.nba.api.model">SourceSystem</a>&nbsp;sourceSystem)</code></th>
<td class="colLast">
<div class="block">Sets the source system that contained the record corresponding to this
 instance.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../SourceSystem.html" title="class in nl.naturalis.nba.api.model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
